import Vue from 'vue'
import App from './App.vue'
import './registerServiceWorker'
import router from './router'
import store from './store'

// icon-loader
import Icon from 'vue-svg-icon/Icon.vue'
Vue.component('icon', Icon);

// material
import VueMaterial from 'vue-material'
import 'vue-material/dist/vue-material.min.css'
import 'vue-material/dist/theme/default.css'
import 'material-design-icons/iconfont/material-icons.css'
Vue.use(VueMaterial)

//px2rem
window.onresize = setHtmlFontSize
function setHtmlFontSize() {
  const htmlWidth = document.documentElement.clientWidth || document.body.clientWidth
  const htmlDom = document.getElementsByTagName('html')[0]
  if (htmlWidth >= 500) htmlDom.style.fontSize = 500 / 10 + 'px'
  else htmlDom.style.fontSize = htmlWidth / 10 + 'px'
}
setHtmlFontSize();

// 剪切板
import VueClipboard from "vue-clipboard2";
Vue.use(VueClipboard);

Vue.config.productionTip = false

new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app')
